### Hierarchy

- HelpClient

## Index

### Constructors

- constructor

### Properties

- client_
- credentials_
- hostname_
- methodDescriptorGetMethodHelp
- options_

### Methods

- getMethodHelp

## Constructors

### constructor

- new HelpClient(hostname: string, credentials?: null | {}, options?: null | {}): HelpClient

- - Defined in src/protobuf/GrpcServiceClientPb.ts:25

  #### Parameters

  - ##### hostname: string

  - ##### Optional credentials: null | {}

  - ##### Optional options: null | {}

  #### Returns HelpClient

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:20

### credentials_

credentials_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:22

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:21

### methodDescriptorGetMethodHelp

methodDescriptorGetMethodHelp: MethodDescriptor < GetMethodHelpRequest , GetMethodHelpReply > = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:38

### options_

options_: null | {}

- Defined in src/protobuf/GrpcServiceClientPb.ts:23

## Methods

### getMethodHelp

- getMethodHelp(request: GetMethodHelpRequest, metadata: null | Metadata ): Promise< GetMethodHelpReply >
- getMethodHelp(request: GetMethodHelpRequest, metadata: null | Metadata, callback: (err: RpcError, response: GetMethodHelpReply ) => void): ClientReadableStream < GetMethodHelpReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:49

  #### Parameters

  - ##### request: GetMethodHelpRequest

  - ##### metadata: null | Metadata

  #### Returns Promise< GetMethodHelpReply >

- - Defined in src/protobuf/GrpcServiceClientPb.ts:53

  #### Parameters

  - ##### request: GetMethodHelpRequest

  - ##### metadata: null | Metadata

  - ##### callback: (err: RpcError, response: GetMethodHelpReply ) => void

    - - (err: RpcError, response: GetMethodHelpReply ): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetMethodHelpReply

        #### Returns void

  #### Returns ClientReadableStream < GetMethodHelpReply >

Generated using TypeDoc